Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision edcb00bdc7103fe1b4b87f1cba086c6d5982fbaf)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision c553b18c6b00889ec98ee693f39c5fc590d94519)
@@ -1571,5 +1571,5 @@
             error_message += str(sys.exc_value) + "\n"
             print error_message
-        print "_default_save_location", self._default_save_location  
+ 
     def load_folder(self, path):
         """
@@ -1678,5 +1678,5 @@
         """
         ## Default file location for save
-        self._default_save_location = os.getcwd()
+        #self._default_save_location = os.getcwd()
         if self._current_perspective is  None:
             return
Index: sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py	(revision d72ef560019de44c02b33e0d1bd5df7a23af296f)
+++ sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py	(revision c553b18c6b00889ec98ee693f39c5fc590d94519)
@@ -83,4 +83,5 @@
         """
         path = None
+        self._default_save_location = self.parent._default_save_location
         if self._default_save_location == None:
             self._default_save_location = os.getcwd()
@@ -123,4 +124,5 @@
         """
         path = None
+        self._default_save_location = self.parent._default_save_location
         if self._default_save_location == None:
             self._default_save_location = os.getcwd()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 36288cacf6f3a6d803d34a631b62e78f0be14100)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision c553b18c6b00889ec98ee693f39c5fc590d94519)
@@ -80,5 +80,5 @@
         self.x_size = None
         ## Default locations
-        self._default_save_location = os.getcwd() 
+        #self._default_save_location = os.getcwd() 
         self.size = None       
         ## Graph        
@@ -620,4 +620,5 @@
             try:
                 self._default_save_location = os.path.dirname(path)
+                self.parent._default_save_location = self._default_save_location
             except:
                 pass    
@@ -633,8 +634,14 @@
         path = None
         wildcard = "Text files (*.txt)|*.txt|"\
-        "CanSAS 1D files(*.xml)|*.xml" 
+                    "CanSAS 1D files(*.xml)|*.xml" 
+        default_name = self.plots[self.graph.selected_plottable].label
+        if default_name.count('.') > 0:
+            default_name = default_name.split('.')[0]
+        default_name += "_out"
+        if self.parent != None:
+            self._default_save_location = self.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                             "", wildcard , wx.SAVE)
+                            default_name, wildcard , wx.SAVE)
        
         if dlg.ShowModal() == wx.ID_OK:
@@ -673,4 +680,5 @@
             try:
                 self._default_save_location = os.path.dirname(path)
+                self.parent._default_save_location = self._default_save_location
             except:
                 pass    
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 36288cacf6f3a6d803d34a631b62e78f0be14100)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision c553b18c6b00889ec98ee693f39c5fc590d94519)
@@ -746,4 +746,6 @@
         """
         id = str(evt.GetId())
+        if self.parent != None:
+            self._default_save_location = self.parent._default_save_location
         if id in self.action_ids:         
             
@@ -784,4 +786,6 @@
                 try:
                     self._default_save_location = os.path.dirname(path)
+                    self.parent._default_save_location = \
+                                            self._default_save_location 
                 except:
                     pass    
